OpenMesh: OpenMesh::IO::ExporterT< Mesh > Class Template Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::IO::ExporterT< Mesh > Class Template Reference

This class template provides an exporter module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/exporter/ExporterT.hh>`

Inheritance diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]

## Public Member Functions
| ExporterT (const Mesh &_mesh)
Vec3f | point (VertexHandle _vh) const override
Vec3d | pointd (VertexHandle _vh) const override
bool | is_point_double () const override
bool | is_normal_double () const override
Vec3f | normal (VertexHandle _vh) const override
Vec3d | normald (VertexHandle _vh) const override
Vec3uc | color (VertexHandle _vh) const override
Vec4uc | colorA (VertexHandle _vh) const override
Vec3ui | colori (VertexHandle _vh) const override
Vec4ui | colorAi (VertexHandle _vh) const override
Vec3f | colorf (VertexHandle _vh) const override
Vec4f | colorAf (VertexHandle _vh) const override
Vec2f | texcoord (VertexHandle _vh) const override
Vec2f | texcoord (HalfedgeHandle _heh) const override
OpenMesh::Attributes::StatusInfo | status (VertexHandle _vh) const override
Vec3uc | color (EdgeHandle _eh) const override
Vec4uc | colorA (EdgeHandle _eh) const override
Vec3ui | colori (EdgeHandle _eh) const override
Vec4ui | colorAi (EdgeHandle _eh) const override
Vec3f | colorf (EdgeHandle _eh) const override
Vec4f | colorAf (EdgeHandle _eh) const override
OpenMesh::Attributes::StatusInfo | status (EdgeHandle _eh) const override
int | get_halfedge_id (VertexHandle _vh) override
int | get_halfedge_id (FaceHandle _fh) override
int | get_next_halfedge_id (HalfedgeHandle _heh) override
int | get_to_vertex_id (HalfedgeHandle _heh) override
int | get_face_id (HalfedgeHandle _heh) override
OpenMesh::Attributes::StatusInfo | status (HalfedgeHandle _heh) const override
unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const override
unsigned int | get_face_texcoords (std::vector< Vec2f > &_hehandles) const override
HalfedgeHandle | getHeh (FaceHandle _fh, VertexHandle _vh) const override
| getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh. More...
Vec3f | normal (FaceHandle _fh) const override
Vec3d | normald (FaceHandle _fh) const override
Vec3uc | color (FaceHandle _fh) const override
Vec4uc | colorA (FaceHandle _fh) const override
Vec3ui | colori (FaceHandle _fh) const override
Vec4ui | colorAi (FaceHandle _fh) const override
Vec3f | colorf (FaceHandle _fh) const override
Vec4f | colorAf (FaceHandle _fh) const override
OpenMesh::Attributes::StatusInfo | status (FaceHandle _fh) const override
virtual const BaseKernel * | kernel () override
size_t | n_vertices () const override
size_t | n_faces () const override
size_t | n_edges () const override
bool | is_triangle_mesh () const override
bool | has_vertex_normals () const override
bool | has_vertex_colors () const override
bool | has_vertex_texcoords () const override
bool | has_vertex_status () const override
bool | has_edge_colors () const override
bool | has_edge_status () const override
bool | has_halfedge_status () const override
bool | has_face_normals () const override
bool | has_face_colors () const override
bool | has_face_status () const override

## Detailed Description

### template<class Mesh>
class OpenMesh::IO::ExporterT< Mesh >

This class template provides an exporter module for OpenMesh meshes.

## Member Function Documentation

## ◆ getHeh()

template<class Mesh >

HalfedgeHandle OpenMesh::IO::ExporterT< Mesh >::getHeh | ( | FaceHandle | _fh,
|  | VertexHandle | _vh
| ) |  | const
| inlineoverridevirtual

getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh.

Parameters

  _fh | FaceHandle that is used to search for the half edge handle
  _vh | to_vertex_handle of the searched heh

Returns
  HalfEdgeHandle or invalid HalfEdgeHandle if none is found.

Implements OpenMesh::IO::BaseExporter.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/exporter/ExporterT.hh